# 西安电子科技大学程序设计竞赛技术条例

与比赛规则不同，本条例是技术文档，
在任何时候（包括比赛过程中）都可对本条例提出技术问题和修改意见。

## 代码发布时间的确认方法

1. 根据 [Baidu](https://www.baidu.com)、[Google](https://www.google.com)
等知名搜索引擎的快照时间确定，以快照时间作为代码发布时间。
注意比赛期间快照时间可能变化。

2. 根据 [Wayback Machine](https://web.archive.org) 确定，
例如某代码发布于 `https://example.org/orz` ，
比赛开始时间为 2019 年 01 月 02 日 11 时 22 分 33 秒，如访问 URL
`https://web.archive.org/20190102032232/https://example.org/orz`，
可以看到代码，则以 Wayback Machine 给出的缓存时间作为代码公布时间。
否则，认定代码系比赛开始后发布。
如果选手有自己上传的模板，或者其他希望在比赛中使用的在线模板，
可以在比赛开始前通过 Wayback Machine 访问模板所在的页面，这样
Wayback Machine 就会对该页面进行缓存，以留存证据。

3. 根据 [Codeforces](https://codeforces.com) 等知名 OJ 的提交日期确定。

4. 根据书籍 ISBN 查询出版日期，以官方或知名数据库（Springer 等）为准。

5. GitHub 中的代码可以使用附带的 `get_github_push_date.sh`
获取**推送**日期。Git 的提交日期可以伪造，不能作为证据。
